import { baseRequest } from '@/utils/request'
const request = (url, ...arg) => baseRequest(`//openGovernment/ogPublicGuidance/` + url, ...arg)
export default {
	// 政策文件列表
	publicPage(data) {
		return request('page', data, 'get')
	},
	//启用禁用delete
	publicType(data) {
		return request('enableAndDisable', data, 'post')
	},
	//add
	publicAdd(data) {
		return request('add', data, 'post')
	},
	//view
	publicView(data) {
		return request('detail', data, 'get')
	},
	// edit
	publicEdit(data) {
		return request('edit', data, 'post')
	},
	// 删除
	publicDel(data) {
		return request('delete', data, 'post')
	}
}
